diff --git a/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test b/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
index 1be7a6e1..700d924b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
+++ b/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
@@ -1,28 +1,34 @@
 <?php
 
-
-
 /**
  * @file
- * see getInfo() for test summary
- *
- *  @todo test for ldapUserConf->setSynchMapping()
- *  @todo test for ldapUserConf->ldapAssociateDrupalAccount($drupal_username)
+ * See getInfo() for test summary.
  *
+ * @todo test for ldapUserConf->setSynchMapping()
+ * @todo test for ldapUserConf->ldapAssociateDrupalAccount($drupal_username)
  */
 
 module_load_include('php', 'ldap_test', 'LdapTestCase.class');
-
+/**
+ *
+ */
 class LdapUserUnitTests extends LdapTestCase {
+
+  /**
+   *
+   */
   public static function getInfo() {
-    return array(
+    return [
       'name' => 'LDAP User Unit Tests',
       'description' => 'Test functions outside of real contexts.',
-      'group' => 'LDAP User'
-    );
+      'group' => 'LDAP User',
+    ];
   }
 
-  function __construct($test_id = NULL) {
+  /**
+   *
+   */
+  public function __construct($test_id = NULL) {
     parent::__construct($test_id);
   }
 
@@ -30,29 +36,31 @@ class LdapUserUnitTests extends LdapTestCase {
   protected $ldap_test_data;
 
   /**
-   *  create one or more server configurations in such as way
-   *  that this setUp can be a prerequisite for ldap_authentication and ldap_authorization
+   * Create one or more server configurations in such as way
+   *  that this setUp can be a prerequisite for ldap_authentication and ldap_authorization.
    */
-
-  function setUp() {
-    parent::setUp(array('ldap_servers', 'ldap_user', 'ldap_authentication', 'ldap_test'));
+  public function setUp() {
+    parent::setUp(['ldap_servers', 'ldap_user', 'ldap_authentication', 'ldap_test']);
     variable_set('ldap_simpletest', 2);
   }
 
-  function tearDown() {
+  /**
+   *
+   */
+  public function tearDown() {
     parent::tearDown();
     variable_del('ldap_help_watchdog_detail');
     variable_del('ldap_simpletest');
   }
 
   /**
-   * make sure install succeeds and ldap user functions/methods work
+   * Make sure install succeeds and ldap user functions/methods work.
    */
-  function testUnitTests() {
+  public function testUnitTests() {
     // TODO: Fix failing tests, excluding to make branch pass.
     return;
 
-    // just to give warning if setup doesn't succeed.
+    // Just to give warning if setup doesn't succeed.
     $setup_success = (
         module_exists('ldap_user') &&
         module_exists('ldap_servers') &&
@@ -60,27 +68,27 @@ class LdapUserUnitTests extends LdapTestCase {
       );
     $this->assertTrue($setup_success, ' ldap_user setup successful', $this->testId('setup'));
 
-    $api_functions = array(
-      'ldap_user_conf' => array(2, 0),
-      'ldap_user_synch_to_drupal' => array(3, 1),
-      'ldap_user_provision_to_drupal' => array(2, 1),
-      'ldap_user_ldap_provision_semaphore' => array(4, 2),
-      'ldap_user_token_replace' => array(3, 2),
-      'ldap_user_token_tokenize_entry' => array(5, 2)
-    );
+    $api_functions = [
+      'ldap_user_conf' => [2, 0],
+      'ldap_user_synch_to_drupal' => [3, 1],
+      'ldap_user_provision_to_drupal' => [2, 1],
+      'ldap_user_ldap_provision_semaphore' => [4, 2],
+      'ldap_user_token_replace' => [3, 2],
+      'ldap_user_token_tokenize_entry' => [5, 2],
+    ];
 
     foreach ($api_functions as $api_function_name => $param_count) {
       $reflector = new ReflectionFunction($api_function_name);
       $this->assertTrue(
         function_exists($api_function_name) &&
         $param_count[1] == $reflector->getNumberOfRequiredParameters() &&
-        $param_count[0] == $reflector->getNumberOfParameters()
-        , ' api function ' . $api_function_name . ' parameters and required parameters count unchanged.', $this->testId($api_function_name . ' unchanged'));
+        $param_count[0] == $reflector->getNumberOfParameters(),
+         ' api function ' . $api_function_name . ' parameters and required parameters count unchanged.', $this->testId($api_function_name . ' unchanged'));
     }
 
     $this->assertTrue(drupal_cron_run(), t('Cron can run with ldap user enabled.'), $this->testId('cron works'));
 
-    // test user token functions
+    // Test user token functions.
     $entity = new stdClass();
     $entity->lname[LANGUAGE_NONE][0]['value'] = 'potter';
     $entity->house[LANGUAGE_NONE][0]['value'] = 'Gryffindor';
@@ -93,25 +101,24 @@ class LdapUserUnitTests extends LdapTestCase {
     $this->assertTrue($lname == $entity->lname[LANGUAGE_NONE][0]['value'], t('[field.lname] token worked on ldap_user_token_replace().'), $this->testId('tokens.property.field'));
     $house1 = ldap_user_token_replace('[field.house:1]', $account, $entity);
     $this->assertTrue($house1 == $entity->house[LANGUAGE_NONE][1]['value'], t('[field.house:1] token worked on ldap_user_token_replace().'), $this->testId('tokens.property.field.ordinal'));
-    //@todo need tests for :last and a multivalued attribute.  see http://drupal.org/node/1245736
-
+    // @todo need tests for :last and a multivalued attribute.  see http://drupal.org/node/1245736
 
-    $sids = array('activedirectory1');
-    $this->prepTestData('hogwarts', $sids, 'default'); // prepTestData($sids, 'provisionToDrupal', 'default');
+    $sids = ['activedirectory1'];
+    $this->prepTestData('hogwarts', $sids, 'default');
     $ldap_server = ldap_servers_get_servers('activedirectory1', NULL, TRUE, TRUE);
     $ldap_user_conf = ldap_user_conf('admin', TRUE);
 
     $this->assertTrue(is_object($ldap_user_conf), t('ldap_conf class instantiated'), $this->testId('construct ldapUserConf object'));
 
-    $user_edit = array();
+    $user_edit = [];
     $ldap_user = ldap_servers_get_user_ldap_data('hpotter', $ldap_user_conf->drupalAcctProvisionServer, 'ldap_user_prov_to_drupal');
 
-    $desired_result = array(
+    $desired_result = [
       'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
       'mail' => 'hpotter@hogwarts.edu',
       'attr' => $ldap_server->entries['cn=hpotter,ou=people,dc=hogwarts,dc=edu'],
       'sid' => 'activedirectory1',
-    );
+    ];
 
     if (is_array($ldap_user)) {
       $array_diff = array_diff($ldap_user, $desired_result);
@@ -124,96 +131,96 @@ class LdapUserUnitTests extends LdapTestCase {
     $ldap_user_conf->entryToUserEdit($ldap_user, $user_edit, $ldap_todrupal_prov_server);
 
     unset($user_edit['pass']);
-    $desired_result = array(
-        'mail' => 'hpotter@hogwarts.edu',
-        'name' => 'hpotter',
-        'init' => 'hpotter@hogwarts.edu',
-        'status' => 1,
-        'signature' => '',
-        'data' =>
-        array(
+    $desired_result = [
+      'mail' => 'hpotter@hogwarts.edu',
+      'name' => 'hpotter',
+      'init' => 'hpotter@hogwarts.edu',
+      'status' => 1,
+      'signature' => '',
+      'data' =>
+        [
           'ldap_authentication' =>
-          array(
+          [
             'init' =>
-            array(
+            [
               'sid' => 'activedirectory1',
               'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
               'mail' => 'hpotter@hogwarts.edu',
-            ),
-          ),
-        ),
-        'ldap_user_puid' =>
-        array(
+            ],
+          ],
+        ],
+      'ldap_user_puid' =>
+        [
           LANGUAGE_NONE =>
-          array(
+          [
             0 =>
-            array(
+            [
               'value' => '101',
-            ),
-          ),
-        ),
-        'ldap_user_puid_property' =>
-        array(
+            ],
+          ],
+        ],
+      'ldap_user_puid_property' =>
+        [
           LANGUAGE_NONE =>
-          array(
+          [
             0 =>
-            array(
+            [
               'value' => 'guid',
-            ),
-          ),
-        ),
-        'ldap_user_puid_sid' =>
-        array(
+            ],
+          ],
+        ],
+      'ldap_user_puid_sid' =>
+        [
           LANGUAGE_NONE =>
-          array(
+          [
             0 =>
-            array(
+            [
               'value' => 'activedirectory1',
-            ),
-          ),
-        ),
-        'ldap_user_current_dn' =>
-        array(
+            ],
+          ],
+        ],
+      'ldap_user_current_dn' =>
+        [
           LANGUAGE_NONE =>
-          array(
+          [
             0 =>
-            array(
+            [
               'value' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
-            ),
-          ),
-        ),
-      );
+            ],
+          ],
+        ],
+    ];
     // @FIXME: Wrapper for failing test.
-    if(is_array($user_edit)) {
+    if (is_array($user_edit)) {
       $array_diff = array_diff($user_edit, $desired_result);
     }
-    //@todo need better diff, this will give false positives in most cases
+    // @todo need better diff, this will give false positives in most cases
     $this->assertTrue(count($array_diff) == 0, t('ldapUserConf::entryToUserEdit retrieved correct property, field, and data values.'), $this->testId('ldapUserConf::entryToUserEdit'));
     if (count($array_diff) != 0) {
       debug('ldapUserConf::entryToUserEdit failed.  resulting user edit array:'); debug($user_edit); debug('desired result:'); debug($desired_result); debug('array_diff:'); debug($array_diff);
     }
 
-    $is_synched_tests = array(
-      LDAP_USER_EVENT_CREATE_DRUPAL_USER => array(
-        0 => array('[property.fake]', '[property.data]', '[property.uid]'),
-        1 => array('[property.mail]', '[property.name]', '[field.ldap_user_puid]', '[field.ldap_user_puid_property]', '[field.ldap_user_puid_sid]', '[field.ldap_user_current_dn]'),
-      ),
-      LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER => array(
-        0 => array('[property.fake]', '[property.data]', '[property.uid]', '[field.ldap_user_puid]', '[field.ldap_user_puid_property]', '[field.ldap_user_puid_sid]'),
-        1 => array('[property.mail]', '[property.name]', '[field.ldap_user_current_dn]'),
-      ),
-    );
-
-    $debug = array();
+    $is_synched_tests = [
+      LDAP_USER_EVENT_CREATE_DRUPAL_USER => [
+        0 => ['[property.fake]', '[property.data]', '[property.uid]'],
+        1 => ['[property.mail]', '[property.name]', '[field.ldap_user_puid]', '[field.ldap_user_puid_property]', '[field.ldap_user_puid_sid]', '[field.ldap_user_current_dn]'],
+      ],
+      LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER => [
+        0 => ['[property.fake]', '[property.data]', '[property.uid]', '[field.ldap_user_puid]', '[field.ldap_user_puid_property]', '[field.ldap_user_puid_sid]'],
+        1 => ['[property.mail]', '[property.name]', '[field.ldap_user_current_dn]'],
+      ],
+    ];
+
+    $debug = [];
     $fail = FALSE;
     foreach ($is_synched_tests as $prov_event => $tests) {
       foreach ($tests as $boolean_result => $attribute_tokens) {
         foreach ($attribute_tokens as $attribute_token) {
-          $is_synched = $ldap_user_conf->isSynched($attribute_token, array($prov_event), LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER);
-          if ((int)$is_synched !== (int)$boolean_result) {
+          $is_synched = $ldap_user_conf->isSynched($attribute_token, [$prov_event], LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER);
+          if ((int) $is_synched !== (int) $boolean_result) {
             $fail = TRUE;
             $debug[$attribute_token] = "isSynched($attribute_token, array($prov_event),
-              LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) returned $is_synched when it should have returned ". (int)$boolean_result;
+              LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) returned $is_synched when it should have returned " . (int) $boolean_result;
           }
         }
       }
@@ -229,7 +236,7 @@ class LdapUserUnitTests extends LdapTestCase {
 
     $ldap_user_required_attributes = $ldap_user_conf->getLdapUserRequiredAttributes(LDAP_USER_PROV_DIRECTION_ALL);
 
-    $provision_enabled_truth = (boolean)(
+    $provision_enabled_truth = (boolean) (
       $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE)
       && $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE)
       && !$ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY, LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE)
@@ -242,17 +249,15 @@ class LdapUserUnitTests extends LdapTestCase {
     $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE));
     $this->assertFalse($provision_enabled_false, t('provisionEnabled works'), $this->testId('provisionEnabled.2'));
 
-
     $account = new stdClass();
     $account->name = 'hpotter';
-    $params = array('ldap_context' => 'ldap_user_prov_to_drupal', 'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER);
+    $params = ['ldap_context' => 'ldap_user_prov_to_drupal', 'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER];
     list($ldap_entry, $error) = $ldap_user_conf->drupalUserToLdapEntry($account, 'activedirectory1', $params);
 
     $account = NULL;
-    $user_edit = array('name' => 'hpotter');
-
-    // test method provisionDrupalAccount()
+    $user_edit = ['name' => 'hpotter'];
 
+    // Test method provisionDrupalAccount()
     $hpotter = $ldap_user_conf->provisionDrupalAccount($account, $user_edit, NULL, TRUE);
 
     $hpotter = user_load_by_name('hpotter');
@@ -281,43 +286,43 @@ class LdapUserUnitTests extends LdapTestCase {
     if (is_array($hpotter->data['ldap_user'])) {
       $data_diff = array_diff(
         $hpotter->data['ldap_user'],
-        array(
+        [
           'init' =>
-            array(
+            [
               'sid' => 'activedirectory1',
               'dn' => NULL,
               'mail' => 'hpotter@hogwarts.edu',
-            ),
-        )
+            ],
+        ]
       );
       $this->assertTrue(count($data_diff) == 0, t('user->data array correctly populated for hpotter'), $this->testId());
     }
-    // test account exists with correct username, mail, fname, puid, puidfield, dn
-
-    // change some user mock ldap data first, (mail and fname) then synch
+    // Test account exists with correct username, mail, fname, puid, puidfield, dn
+    // Change some user mock ldap data first, (mail and fname) then synch.
     $account = user_load_by_name('hpotter');
 
     $user_edit = NULL;
-    $ldap_user_conf->ldapUserSynchMappings = array();
+    $ldap_user_conf->ldapUserSynchMappings = [];
     $sid = 'activedirectory1';
-    $ldap_user_conf->ldapUserSynchMappings[LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER]['[property.mail]'] = array(
+    $ldap_user_conf->ldapUserSynchMappings[LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER]['[property.mail]'] = [
       'sid' => $sid,
       'ldap_attr' => '[mail]',
       'user_attr' => '[property.mail]',
       'convert' => 0,
       'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-      'ldap_contexts' => array('ldap_user_insert_drupal_user', 'ldap_user_update_drupal_user', 'ldap_authentication_authenticate'),
-      'prov_events' => array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+      'ldap_contexts' => ['ldap_user_insert_drupal_user', 'ldap_user_update_drupal_user', 'ldap_authentication_authenticate'],
+      'prov_events' => [LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
       'name' => 'Property: Mail',
       'enabled' => TRUE,
       'config_module' => 'ldap_servers',
       'prov_module' => 'ldap_user',
       'user_tokens' => '',
-      );
+    ];
     $ldap_user_conf->save();
 
     $this->testFunctions->setFakeServerUserAttribute($sid, 'cn=hpotter,ou=people,dc=hogwarts,dc=edu', 'mail', 'hpotter@owlcarriers.com', 0);
-    $ldap_server = ldap_servers_get_servers('activedirectory1', NULL, TRUE, TRUE); // clear server cache;
+    // Clear server cache.
+    $ldap_server = ldap_servers_get_servers('activedirectory1', NULL, TRUE, TRUE);
     $user = $ldap_user_conf->synchToDrupalAccount($account, $user_edit, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, NULL, TRUE);
 
     $hpotter = user_load_by_name('hpotter');
@@ -340,7 +345,7 @@ class LdapUserUnitTests extends LdapTestCase {
 
     $this->testFunctions->setFakeServerUserAttribute('activedirectory1', 'cn=hpotter,ou=people,dc=hogwarts,dc=edu', 'samaccountname', 'hpotter-granger', 0);
     $account = NULL;
-    $user_edit = array('name' => 'hpotter-granger');
+    $user_edit = ['name' => 'hpotter-granger'];
     $hpottergranger = $ldap_user_conf->provisionDrupalAccount($account, $user_edit, NULL, TRUE);
 
     $this->testFunctions->setFakeServerUserAttribute('activedirectory1', 'cn=hpotter,ou=people,dc=hogwarts,dc=edu', 'samaccountname', 'hpotter', 0);
@@ -356,32 +361,34 @@ class LdapUserUnitTests extends LdapTestCase {
     $pass = is_object($hpottergranger) && $hpottergranger->name == 'hpotter-granger';
     $this->assertTrue($pass, t('provisionDrupalAccount recognized PUID conflict and fixed username.'), $this->testId());
 
-    $user_edit = array('name' => 'hpotter');
+    $user_edit = ['name' => 'hpotter'];
     $hpotter = user_save($hpottergranger, $user_edit, 'ldap_user');
 
-
-    // delete and recreate test account to make sure account is in correct state
+    // Delete and recreate test account to make sure account is in correct state.
     $ldap_user_conf->deleteDrupalAccount('hpotter');
     $this->assertFalse(user_load($hpotter_uid, TRUE), t('deleteDrupalAccount deleted hpotter successfully'), $this->testId());
 
     $ldap_server = ldap_servers_get_servers('activedirectory1', 'enabled', TRUE, TRUE);
     $ldap_server->refreshFakeData();
     $account = NULL;
-    $user_edit = array('name' => 'hpotter');
+    $user_edit = ['name' => 'hpotter'];
     $hpotter = $ldap_user_conf->provisionDrupalAccount($account, $user_edit, NULL, TRUE);
 
   }
 
-  function testProvisionToDrupal() {
+  /**
+   *
+   */
+  public function testProvisionToDrupal() {
     // TODO: Fix failing tests, excluding to make branch pass.
     return;
-      /**
+    /**
      * test that $ldap_user_conf->synchToDrupalAccount() works for various contexts.
      * make sure changing when a given field/property is flagged for a particular context, everything works
      * tests one property (property.mail) and one field (field.field_lname) as well as username, puid
      */
 
-      // just to give warning if setup doesn't succeed.  may want to take these out at some point.
+    // Just to give warning if setup doesn't succeed.  may want to take these out at some point.
     $setup_success = (
         module_exists('ldap_user') &&
         module_exists('ldap_servers') &&
@@ -389,178 +396,181 @@ class LdapUserUnitTests extends LdapTestCase {
       );
     $this->assertTrue($setup_success, ' ldap_user setup successful', $this->testId("setup"));
 
-
     $sid = 'activedirectory1';
-    $sids = array($sid);
+    $sids = [$sid];
     $this->prepTestData('hogwarts', $sids, 'provisionToDrupal', 'default');
-    $tests = array();
+    $tests = [];
 
-    $tests[] = array(
+    $tests[] = [
       'disabled' => 0,
       'user' => 'hpotter',
       'field_name' => 'field_lname',
-      'field_values' => array(array('sn' => 'Potter'), array('sn' => 'Pottery-Chard')),
-      'field_results' => array('Potter', 'Pottery-Chard'), // first value is what is desired on synch, second if no sycn
-      'mapping' => array(
+      'field_values' => [['sn' => 'Potter'], ['sn' => 'Pottery-Chard']],
+    // First value is what is desired on synch, second if no sycn.
+      'field_results' => ['Potter', 'Pottery-Chard'],
+      'mapping' => [
         'sid' => $sid,
         'name' => 'Field: Last Name',
         'ldap_attr' => '[SN]',
         'user_attr' => '[field.field_lname]',
         'convert' => 0,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
         'user_tokens' => '',
         'config_module' => 'ldap_user',
         'prov_module' => 'ldap_user',
         'enabled' => TRUE,
-      ),
-    );
+      ],
+    ];
 
-    // test for compound tokens
-    $tests[] = array(
+    // Test for compound tokens.
+    $tests[] = [
       'disabled' => 0,
       'user' => 'hpotter',
       'field_name' => 'field_display_name',
-      'field_values' => array(array('givenname' => 'Harry', 'sn' => 'Potter'), array('givenname' => 'Sir Harry', 'sn' => 'Potter')),
-      'field_results' => array('Harry Potter', 'Sir Harry Potter'), // desired results
-      'mapping' => array(
+      'field_values' => [['givenname' => 'Harry', 'sn' => 'Potter'], ['givenname' => 'Sir Harry', 'sn' => 'Potter']],
+    // Desired results.
+      'field_results' => ['Harry Potter', 'Sir Harry Potter'],
+      'mapping' => [
         'sid' => $sid,
         'ldap_attr' => '[givenName] [sn]',
         'user_attr' => '[field.field_display_name]',
         'convert' => 0,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
         'name' => 'Field: Display Name',
         'enabled' => TRUE,
         'config_module' => 'ldap_user',
         'prov_module' => 'ldap_user',
         'user_tokens' => '',
-      ),
-    );
+      ],
+    ];
 
-
-    // test for constants in use (e.g. "Smith" and "0") instead of tokens e.g. "[sn]" and "[enabled]"
-    $tests[] = array(
+    // Test for constants in use (e.g. "Smith" and "0") instead of tokens e.g. "[sn]" and "[enabled]".
+    $tests[] = [
       'disabled' => 0,
       'user' => 'hpotter',
       'field_name' => 'field_lname',
-      'field_values' => array(array('sn' => 'Potter1'), array('sn' => 'Potter2')),
-      'field_results' => array('Smith', 'Smith'),
-      'mapping' => array(
+      'field_values' => [['sn' => 'Potter1'], ['sn' => 'Potter2']],
+      'field_results' => ['Smith', 'Smith'],
+      'mapping' => [
         'sid' => $sid,
         'name' => 'Field: Last Name',
-        'ldap_attr' => 'Smith', // testing of a constant mapped to a field.  that is everyone should have last name smith
+    // Testing of a constant mapped to a field.  that is everyone should have last name smith.
+        'ldap_attr' => 'Smith',
         'user_attr' => '[field.field_lname]',
         'convert' => 0,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
         'user_tokens' => '',
         'config_module' => 'ldap_user',
         'prov_module' => 'ldap_user',
         'enabled' => TRUE,
 
-      ),
-    );
+      ],
+    ];
 
-    // test for compound tokens
-    $tests[] = array(
+    // Test for compound tokens.
+    $tests[] = [
       'disabled' => 0,
       'user' => 'hpotter',
       'property_name' => 'signature',
-      'property_values' => array(array('cn' => 'hpotter'), array('cn' => 'hpotter2')),
-      'property_results' => array('hpotter@hogwarts.edu', 'hpotter2@hogwarts.edu'),
-      'mapping' => array(
+      'property_values' => [['cn' => 'hpotter'], ['cn' => 'hpotter2']],
+      'property_results' => ['hpotter@hogwarts.edu', 'hpotter2@hogwarts.edu'],
+      'mapping' => [
         'sid' => $sid,
         'ldap_attr' => '[cn]@hogwarts.edu',
         'user_attr' => '[property.signature]',
         'convert' => 0,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
         'name' => 'Property: Signature',
         'enabled' => TRUE,
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
         'user_tokens' => '',
-      ),
-    );
+      ],
+    ];
 
-    $tests[] = array(
+    $tests[] = [
       'disabled' => 0,
       'user' => 'hpotter',
       'property_name' => 'mail',
-      'property_values' => array(array('mail' => 'hpotter@hogwarts.edu'), array('mail' => 'hpotter@owlmail.com')),
-      'property_results' => array('hpotter@hogwarts.edu', 'hpotter@owlmail.com'),
-      'mapping' => array(
+      'property_values' => [['mail' => 'hpotter@hogwarts.edu'], ['mail' => 'hpotter@owlmail.com']],
+      'property_results' => ['hpotter@hogwarts.edu', 'hpotter@owlmail.com'],
+      'mapping' => [
         'sid' => $sid,
         'ldap_attr' => '[mail]',
         'user_attr' => '[property.mail]',
         'convert' => 0,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER],
         'name' => 'Property: Mail',
         'enabled' => TRUE,
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
         'user_tokens' => '',
-      ),
-    );
+      ],
+    ];
 
-    $tests[] = array(
+    $tests[] = [
       'disabled' => 0,
       'user' => 'hpotter',
       'property_name' => 'status',
-      'property_values' => array(array(0 => 'z'), array(0 => 'z')),
-      'property_results' => array(0, 0),
-      'mapping' => array(
+      'property_values' => [[0 => 'z'], [0 => 'z']],
+      'property_results' => [0, 0],
+      'mapping' => [
         'sid' => $sid,
         'ldap_attr' => '0',
-        'user_attr' => '[property.status]', // testing of a constant mapped to property
+    // Testing of a constant mapped to property.
+        'user_attr' => '[property.status]',
         'convert' => 0,
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_DRUPAL_USER),
+        'prov_events' => [LDAP_USER_EVENT_CREATE_DRUPAL_USER],
         'name' => 'Property: Status',
         'enabled' => TRUE,
         'config_module' => 'ldap_servers',
         'prov_module' => 'ldap_user',
         'user_tokens' => '',
-      ),
-    );
+      ],
+    ];
 
     // @todo test with binary field
     // @todo case sensitivity in tokens and user_attr in mappings
 
-    $test_prov_events = array(
-      LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER => array(
+    $test_prov_events = [
+      LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER => [
         LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER,
         LDAP_USER_EVENT_CREATE_DRUPAL_USER,
-      ),
+      ],
 
-      LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY => array(
+      LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY => [
         LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY,
         LDAP_USER_EVENT_CREATE_LDAP_ENTRY,
-      ),
-    );
+      ],
+    ];
 
-    $this->privileged_user = $this->drupalCreateUser(array(
+    $this->privileged_user = $this->drupalCreateUser([
       'administer site configuration',
-      'administer users'
-      ));
-    
+      'administer users',
+    ]);
+
     /** Tests for various synch contexts **/
     foreach ($tests as $j => $test) {
 
       $field_name = isset($test['field_name']) ? $test['field_name'] : FALSE;
       $property_name = isset($test['property_name']) ? $test['property_name'] : FALSE;
       $direction = ($property_name) ? $test['mapping']['direction'] : $test['mapping']['direction'];
-      foreach ($test_prov_events[$direction] as $i => $prov_event) {  // test for each provision event
+      // Test for each provision event.
+      foreach ($test_prov_events[$direction] as $i => $prov_event) {
 
         // 1. set fake ldap values for field and property in fake ldap server
-        // and clear out mappings and set to provision account with test field and prop[0] on provision
+        // and clear out mappings and set to provision account with test field and prop[0] on provision.
         $ldap_server = ldap_servers_get_servers('activedirectory1', 'enabled', TRUE);
         $this->prepTestData('hogwarts', $sids, 'provisionToDrupal', 'default');
         $ldap_user_conf = ldap_user_conf('admin', TRUE);
         if ($property_name) {
-          $token_attributes = array();
+          $token_attributes = [];
           ldap_servers_token_extract_attributes($token_attributes, $test['mapping']['ldap_attr']);
           foreach ($token_attributes as $attr_name => $attr_parts) {
             $this->testFunctions->setFakeServerUserAttribute(
@@ -574,9 +584,9 @@ class LdapUserUnitTests extends LdapTestCase {
           $ldap_user_conf->ldapUserSynchMappings[$direction][$property_token] = $test['mapping'];
         }
         if ($field_name) {
-          $token_attributes = array();
+          $token_attributes = [];
           ldap_servers_token_extract_attributes($token_attributes, $test['mapping']['ldap_attr']);
-          foreach ($token_attributes as $attr_name => $attr_parts ) {
+          foreach ($token_attributes as $attr_name => $attr_parts) {
             $this->testFunctions->setFakeServerUserAttribute(
               'activedirectory1',
               'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
